package jtatest;

import javax.jms.MessageListener;
import javax.jms.Message;
import javax.jms.TextMessage;
import javax.jms.JMSException;

public class TextOutputMessageListener implements MessageListener {

    public void onMessage(Message message) {
        System.out.println("message: " + message.getClass());
        
        if (message instanceof TextMessage) {
            try {
                TextMessage textMsg = (TextMessage) message;
                System.out.println("         " + textMsg.getText());
            }
            catch (JMSException ex) {
                ex.printStackTrace();
            }
        }
    }
    
}
